GHSA-75fm-52mm-q5rm

Suggest an improvement
Source
https://github.com/advisories/GHSA-75fm-52mm-q5rm
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2022/05/GHSA-75fm-52mm-q5rm/GHSA-75fm-52mm-q5rm.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-75fm-52mm-q5rm
Aliases
Published
2022-05-14T01:57:50Z
Modified
2024-04-24T23:28:21.674348Z
Severity
  • 9.8 (Critical) CVSS_V3 - CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H CVSS Calculator
Summary
ThinkPHP SQL injection vulnerability
Details

In ThinkPHP 5.1.24, the inner function delete can be used for SQL injection when its WHERE condition's value can be controlled by a user's request.

References

Affected packages

Packagist / topthink/framework

Package

Name
topthink/framework
Purl
pkg:composer/topthink/framework

Affected ranges

Affected versions

5.*

5.1.24